blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
7a2f7de9f0e86452ef06cf06aa60c018df64308f | 1,475 | #!/bin/bash
SS_CONFIG=${SS_CONFIG:-""}
SS_MODULE=${SS_MODULE:-"ss-server"}
RNGD_FLAG=${RNGD_FLAG:-"false"}
PRIVOXY_FLAG=${PRIVOXY_FLAG:-"false"}
PRIVOXY_LISTEN_PORT=${PRIVOXY_LISTEN_PORT:-""}
PRIVOXY_FORWARD_PORT=${PRIVOXY_FORWARD_PORT:-""}
while getopts "s:m:l:f:rp" OPT; do
case $OPT in
s)
SS... |
9d444cfc7de476d41ceb93f24a1758e21978bbe6 | 2,031 | #!/bin/bash
# -----------------------------------------------------
# BENCHMARK SERVER CONFIGURATION - SCRIPT
# ABD UMINHO
# -----------------------------------------------------
helpFunction(){
echo ""
echo "Usage: $0 -s dbServerName -u dbUser -w nrWarehouses"
echo -e "\t-s Define th... |
3823f3ce607d15d16a02a60ee468a71edde9701d | 230 | #!/bin/bash
#
# this is where you would add any
# pre-baked public keys.
set -x
yes | ssh-keygen -f $HOME/.ssh/id_rsa_ch4zm -t rsa -N ''
chmod 700 $HOME/.ssh
touch $HOME/.ssh/authorized_keys
chmod 600 $HOME/.ssh/authorized_keys
|
361ebdf145af86f03cade4d3e214d724aaf6e536 | 272 | #!/bin/sh
REPO_URL=$1
REPO_DIR=$2
pwd=$PWD
mkdir -p $(dirname $REPO_DIR)
if [ -d $REPO_DIR ]
then
echo "updating $REPO_DIR ..." \
&& cd $REPO_DIR \
&& git pull
cd $pwd
else
echo "downloading repository $REPO_URL to $REPO_DIR ..."
git clone $REPO_URL $REPO_DIR
fi
|
5ac3c04a917399b879fa0f5857cf611afaacef2c | 234 | #!/bin/bash
if [[ -n ${EC2_PROFILE} ]]; then
profile="--profile ${EC2_PROFILE}"
fi
aws s3 ${profile} sync --acl public-read public/ s3://lessthanhero.io/
aws s3 ${profile} sync --acl public-read public/ s3://www.lessthanhero.io/
|
6be8b336e59c7cbea5ee6a32ff6db231a3b28d5b | 2,356 | #!/usr/bin/ksh
hbping_primary=8.8.8.8
hbping_gateway=10.1.1.1
check_process='pmon'
hbping_standby=''
vgname=''
mirgation_dirs=[/oracle,/data,]
loggerdirs=''
logfile=''
function testping_p {
#check Primary network status
#if primary can not access also gateway can not access mean standby Network have problem .
... |
fa472167cef66f0350352408dc7cdd096a4927f7 | 350 | sudo ./MEGASOFT_LINUX.o --input ./TestData/inputMS.txt --pvalue_table ./TestData/HanEskinPvalueTable.txt --output ./TestData/posterior_c++_static.txt --log ./TestData/log_c++_static.txt --mvalue --mvalue_method mcmc --mcmc_sample 1000000 --seed 0 --mvalue_prior_sigma 0.05 --mvalue_prior_alpha 1 --mvalue_prior_beta 5 --... |
9f7742f7df55b3069edfafa131b07cd46c52952d | 77 | #!/bin/bash
cd $CESIUMPATH
$PYTHON manage.py cesiumcron >> logs/cronlog.txt
|
54e14cbff1190b1a8fe3163dd39889a245746e64 | 467 | # https://qiita.com/nakagawa1017/items/a11599938a6cb0db0dad
echo "デフォルトシェルを fish に変更"
chsh -s /usr/local/bin/fish
echo "fish系"
ln -sf ~/dotfiles/fish ~/.config/fish
echo "fishパッケージマネージャーfisherで管理されているもの"
ln -sf ~/dotfiles/fisher ~/.config/fisher
echo "fisher install"
curl https://git.io/fisher --create-dirs -sLo ~/d... |
43c26ef62e992dcdf3321992e2d7520caca19a8d | 249 | #!/bin/bash
git for-each-ref --sort=-committerdate refs/heads/ --format='%(color:yellow bold)%(committerdate:relative)| %(color:cyan bold)%(authorname)| %(color:red bold)%(refname:short) %(color:reset)| %(subject)' --count=${1-20} | column -ts '|'
|
2e2de1e6f0e6bf1653c6f52e3b94f8e94f450c03 | 1,185 | #!/bin/bash
# yum update
yum clean all && yum -y update
yum -y install epel-release && yum clean all
yum -y install rpm-build make zlib-devel openssl-devel curl-devel asciidoc gcc redhat-lsb-core shadow-utils systemd openssl-libs wget libmaxminddb-devel
# Downloading nginx and vts module
wget http://nginx.org/packag... |
6a02644e394d7375b24feb3d3a6a72f8101dcbdb | 1,511 | #!/bin/bash
if [ "$1" == "-h" ]; then
printf "\n\t-----------------------------\n"
printf "\nKorzystając z mechanizmu opisanego tutaj napisz skrypt, który będzie przyjmował wartość liczbową i adre email w linii poleceń a następnie wysyłał wiadomosc emaila (Vagrant pozwala wysyłać wiadomości tylko z konta r... |
a5d35af0f8e570804ef6dfb3077e677a33bab87a | 399 | # Getting port of webserver because every time port will change or we can also fix it
port=$(sudo kubectl get -o jsonpath="{.spec.ports[0].nodePort}" services webserver)
# checking site is working or not
status=$(sudo curl -o /dev/null -s -w "%{http_code}" 192.168.99.106:"$port")
if [[ "$status" == 200 ]]
then
echo ... |
d7cc160930348911c1d6071b9bb075cd4c65e8ef | 221 | DATABASE_URL=mysql://tec2021:Tec2021$@35.223.20.167:3306/dsantiago_api
DEV_DATABASE_URL=mysql://tec2021:Tec2021$@35.223.20.167:3306/dsantiago_api
TEST_DATABASE_URL=mysql://tec2021:Tec2021$@35.223.20.167:3306/dsantiago_api |
db0ddc1310e2ddddb6173c3283e77c815c607713 | 780 | #!/bin/sh
set -e
# MacのSpineのパス
SPINE_EXE="/Applications/Spine/Spine.app/Contents/MacOS/Spine"
echo "Spine exe: $SPINE_EXE"
echo ""
files="./20_アニメーション/*"
fileary=()
directory=()
spines=()
for filepath in $files; do
if [ -d $filepath ] ; then
directory+=("$filepath")
fi
done
for i in ${directory[@]}; do
ec... |
e38fff4ec1473ab95bfefe53558215b97199a5fe | 211 | #!/usr/bin/env bash
echo "Runing backup..."
for i in \
$(docker ps --filter "name=gitea|jenkins|openproject" | tail -n+2 | awk '{ print $1 }'); do docker export -o ${i}-ci-$(date +"%m-%d-%Y").tar ${i}; \
done
|
edc0b9ec9539a41d7f2c3927c379c20bc1b6a17e | 1,491 | #! /bin/sh
#
# usage: retry COMMAND [ARGS...]
#
# Retry to run a command successfully with configurable delays between runs.
#
# Notice that the command won't receive any data via standard input.
#
set -euf
export PATH=@coreutils@/bin"${PATH+:$PATH}"
# By default try to run command 10 times with a delay of 3s between... |
1d19bc7f2c255cc8fcb8740641247de59e844b9a | 279 | #!/bin/bash
NODE=bio
THREADS=7
MEM=214
module load bio/SAMtools/1.5-foss-2016b
sbatch --partition=$NODE --ntasks=$THREADS --tasks-per-node=$THREADS --mem=$MEM"G" map-list.sh
#sbatch --partition=$NODE --ntasks=$THREADS --tasks-per-node=$THREADS --mem=$MEM"G" map-sort.sh
|
54345b6e42e166f0ebf4b52aa479f40d1753d970 | 374 | #!/bin/bash
set -a; . ./env/relayer.env; set +a;
cd ./relayer;
make build;
SPKFILE=keys/"$CH1_ADDR".key
if [ ! -f "$SPKFILE" ]; then
./build/chainbridge accounts import --privateKey $CH1_PK --password $KEYSTORE_PASSWORD
fi
DPKFILE=keys/"$CH2_ADDR".key
if [ ! -f "$DPKFILE" ]; then
./build/chainbridge accounts import ... |
373b6272a9fa52b23e6f2d71c376160497d0da1c | 247 | #!/bin/bash
# q4_p2.sh
counter=1
while [ $counter -le 10 ]
do
var=$(($counter%2))
if [ $var -eq 0 ]; then
file="even$counter"
touch $file
chmod 764 $file
else
file="odd$counter"
touch $file
chmod 554 $file
fi
((counter++))
done
|
4c1aa7b99c9d5a6e094c17e961714bf2ad30b56c | 212 | final2 User Commands final2
NAME
final2 - Insertion sort
SYNOPSIS
final2 numbers
DESCRIPTION
An implemention of insertion sort with bash script!
|
e712185f58c24936a53784b5c1aa0ec3e76ae2f0 | 496 | #!/bin/bash
source gbash.sh || exit 1
DEFINE_bool 'expand' true 'Expand includes.'
DEFINE_string 'output' '/dev/stdout' 'File to output.'
gbash::init_google "$@"
set -- "${GBASH_ARGV[@]}"
set -e -u
pushd "$(cd $(dirname ${BASH_SOURCE:-$0}); pwd)"/../bcompiler >/dev/null
javac -d "${TMPDIR}" -encoding UTF-8 *.java
p... |
131bd17eb35ef52e35531384f4d6093c13ca70ba | 2,019 | # Maintainer: Grey Christoforo <first name [at] last name [dot] net>
pkgname=hdhomerun-firmware-bin
pkgver=20170815
pkgrel=1
pkgdesc="Firmwares for hdhomerun devices put into /opt/hdhomerun/firmware/"
arch=('any')
url="http://www.silicondust.com/downloads"
license=('LGPL')
install=$pkgname.install
optdepends=('libhdho... |
b688ea69bab5d8300996c2d7bf6f0bd1a641f3ad | 915 | #
# Defines Ruby on Rails aliases.
#
# Authors:
# Robby Russell <robby@planetargon.com>
# Jake Bell <jake.b.bell@gmail.com>
# Sorin Ionescu <sorin.ionescu@gmail.com>
#
# Load dependencies.
pmodload 'ruby'
# Return if requirements are not found.
if (( ! $+commands[bundle] )); then
return 1
fi
#
# Aliases
#
a... |
9ff4e5810deab618d466146f3027f3e2a89ed3e1 | 1,083 | #!/bin/sh
# base16-shell (https://github.com/chriskempson/base16-shell)
# Base16 Shell template by Chris Kempson (http://chriskempson.com)
# Ocean scheme by Chris Kempson (http://chriskempson.com)
color00="2b/30/3b" # Base 00 - Black
color01="bf/61/6a" # Base 08 - Red
color02="a3/be/8c" # Base 0B - Green
color03="eb/c... |
4867918934f0b7c6fb8ae8ac75df6b6d9ea317fb | 371 | #!/bin/sh
# auto pull the configure file
BASE_URL=https://raw.githubusercontent.com/alekye/AYConfiguration/master
DISABLE_CACHE="?v=$(date +%s)"
function echo_green() {
echo "\033[32m$1\033[0m"
}
# .vimrc
VIMRC_FILE=${BASE_URL}/vimrc${DISABLE_CACHE}
echo "Download .vimrc to ~/.vimrc from ${VIMRC_FILE}"
curl -o ~/.v... |
03f6564a6d14e11fc9c7f787b8d581af4baff77b | 572 | #!/bin/sh
while read line
do
echo $line | cut -c3 # Display the third char only.
echo $line | cut -c2,7 # Display the third char and seventh char.
echo $line | cut -c2-7 # Display the second char to seventh char.
echo "$line" | cut -f1-3 # -d delim char TAB and display 1. to 3. parts.
echo $line |... |
ccd9214337ac3d3de7c328f7eb7a1b96d824d9d0 | 263 | kubectl delete secret creds -n prod
kubectl delete sealedsecret creds -n prod
kubectl delete secret -n prod -l sealedsecrets.bitnami.com/sealed-secrets-key
kubectl delete -f https://github.com/bitnami-labs/sealed-secrets/releases/download/v0.12.4/controller.yaml
|
deaf148124be168f86563f01c3855501e83696da | 161 |
DATABASE_URL=postgres://fjeyxikjslbpqb:eQoFubhPqaO0vn80SwcariM7f9@ec2-54-163-238-96.compute-1.amazonaws.com:5432/di170ai34pcaf
PASSWORD_ENCRYPTION_KEY=12345678
|
ef7497886b3e6ef8dfca4559ffe239802634e4a6 | 97 | #!/bin/bash
# curls the address, returns available methods
curl -sI $1 | awk "NR==4" | cut -c 8-
|
ff7112e76f3dca4be9f10a0429dc0f1111a2c39c | 629 | #!/bin/bash
gcc -std=c99 -O2 -o sfrob sfrob.c
gcc -std=c99 -O2 -o sfrobu sfrobu.c
printf '*~BO *{_CIA *hXE]D *LER #@_GZY #E\\OX #^BO #FKPS #NEM\4' | ./sfrobu | od -ta > output_sfrobu
printf '*~BO *{_CIA *hXE]D *LER #@_GZY #E\\OX #^BO #FKPS #NEM\4' | ./sfrobs | od -ta > output_sfrobs
printf '*~BO *{_CIA *hXE]D *LER #... |
32aea18116747158ece2b50e44dd10078c94ccaf | 991 | #!/bin/bash
# copies your working directory to some other computer.
# Intended to be used with the docker-shell.sh script when you're tight on
# internet quota. Start a VM in the cloud, use the docker-shell.sh to quickly
# get a dev server running. Continue working on your local machine and use this
# script to rsync t... |
4282e61b8482ab22130c6f62a335cf83c48d99e8 | 523 | #!/bin/bash
set -e
iterations=1000
output="./machine/testdata/training.csv"
converted="./machine/testdata/training_converted.csv"
echo "Running simulation to generate training data..."
./scripts/run.sh -standard-ai -random-ai -num-players 0 -num-rounds $iterations -generate-training-data -training-data-file $output $... |
56713b31477147161161bacea120b9070e735a5f | 166 | #!/bin/bash
source $(dirname $0)/lib/debug_functions
source $(dirname $0)/lib/version
cd $(dirname $0)/..
operator-sdk generate k8s
operator-sdk generate openapi
|
8633406d2a58a21abf745e2688227ccd3b555f96 | 121 | #!/bin/bash
aws ec2 describe-instances --query "Reservations[*].Instances[*].[Tags[?Key=='Name'][Value]]" --output text
|
a3ece638228d67c56b5eca99fabd696e081d2973 | 2,862 | #!/bin/bash
################################################
#
# data_rawextractor.sh
#
# Script invoked by runDQ_extraction_fillraw_fast.sh
# Extract the information for a given Fill part
#
# --> List of inputs:
#
# ${1}: the path leading to the datafiles
# ${2}: the fill number
# ${3}: the list of run in the fill
#... |
fc0e1d28fa8955d2457f0772d192faa66357b1d6 | 78 | #!/bin/bash
./run-smoke-tests.sh
./run-client-tests.sh
./run-server-tests.sh
|
2ff710d8ef1ac2865b9f0f12a13a79017a894133 | 108 | #!/bin/bash
sample=$1
DATE=`date +%Y-%m-%d`
modified="$DATE"_"$sample"
echo $modified
cp $sample $modified
|
8f39aa28d78922abc07c3bdfc73ad4476ce3a64d | 57 | #!/bin/bash
python2 /usr/share/fs-uae/fs-uae-launcher.py
|
23435ff01e78cd46867e7b90dabe39c0e0ce48da | 103 | #!/bin/bash
docker build -t debian-hbase .
docker run --rm -d --network host --name hbase debian-hbase
|
05e09ec67c04241dbbe369a9d00a6ef6dcc6b0aa | 124 | #!/bin/bash
cd /home/bruce/Git/mono-fsharp-shmupwarz/Platformer/bin/Release
chmod +x ./Platformer.exe
exec ./Platformer.exe
|
26862cd6ffb1037c6b08ae220f08a9d8de52fc82 | 602 | #!/bin/bash
# ANL:waggle-license
# This file is part of the Waggle Platform. Please see the file
# LICENSE.waggle.txt for the legal details of the copyright and software
# license. For more details on the Waggle project, visit:
# http://www.wa8.gl
# ANL:waggle-license
apt-get install -y htop iotop iftop... |
2ba07b9c858c8db5da0054e0dd632647d67d19b5 | 257 | #!/bin/sh
cd /tmp
wget https://dl.bintray.com/mitchellh/packer/packer_0.7.5_linux_amd64.zip
unzip packer_0.7.5_linux_amd64.zip -d /usr/local/bin/
rm -rf packer_0.7.5_linux_amd64.zip
/bin/cat << EOF >> /etc/bashrc
alias packer="/usr/local/bin/packer"
EOF
|
66da2b729a59343372267c5e2604de6f6b640125 | 436 | #!/bin/bash
# prevent using docs copied in docker volume
rm -rf $openapiTmp
for gateway in $gatewayTmp/*.json; do
echo $gateway
file=$(basename $gateway)
mkdir -p $openapiTmp/$file
java -jar /swagger-codegen-cli.jar generate -i $gateway -l openapi -o $openapiTmp/$file
done
# remove all the extra junk
f... |
4b1c36e583cd4e7ea0281fb8481cee07f542f148 | 300 | #!/bin/bash
if [ -z "$@" ];
then
echo "Arguments not present."
echo "Usage $0 [list of usernames to revoke]"
echo "You can get username from [username].csr"
exit 99
fi
echo "Revoking users..."
for user in "$@"; do
#Revoke user
/etc/openvpn/easy-rsa/./revoke-full $user
done
|
5bf7a4686e0328c885389aae1c7c6ddd7383973e | 4,955 | # DEBIAN
################################################################################
# If not running interactively, don't do anything
case $- in
*i*) ;;
*) return;;
esac
# don't put duplicate lines or lines starting with space in the history.
# See bash(1) for more options
HISTCONTROL=ignoreboth
# ap... |
1ee11ef22fdbaf0d06066ee23228d54da090d80e | 1,644 | #!/bin/mksh
# $MirOS: contrib/hosted/tg/m_1,v 1.2 2009/09/08 16:43:01 tg Exp $
#-
# Copyright (c) 2008
# Thorsten Glaser <tg@mirbsd.org>
#
# Provided that these terms and disclaimer and all copyright notices
# are retained or reproduced in an accompanying document, permission
# is granted to deal in this work without r... |
9d228edba9280232375584ee13f9a2254797bdf1 | 328 | #!/bin/bash
fswebcam -d /dev/video0 -r 320x240 --bottom-banner --title "RaspberryPi@Yeelink" --no-timestamp /root/projs/fswebcam/yeelink.jpg
curl --request POST --data-binary @"/root/projs/fswebcam/yeelink.jpg" --header "U-ApiKey:51cbf13bf93f679e00c31292aa26ca45" http://api.yeelink.net/v1.0/device/356823/sensor/405013... |
2cbe48cbdcd586d65d92123c9cafe489f97ad751 | 1,555 | #datatype="facebook"
#datatype="instagram"
#datatype="twitter"
#lang="es"
#cd freq_vob && sh run.sh ${datatype} ${lang}
#cd ../trans_vob && sh run.sh ${datatype} ${lang}
#cd .. && sh ugc_classify_hadoop.sh ${datatype} ${lang}
if false
then
#processing ru :
lang="ru"
echo "processing ${lang} !"
datatype="facebook"
... |
8b46663fc3d4c7300327edd2529cca81c1e81424 | 3,977 | #! /bin/bash
#
# /HEADER/
# This script is currently on v0.9
# Author: Arthur Pieri
#
#-------------------------------------------------------------------------------------
# OS check so it only runs on GNU/Linux
OS_CHECK=$(uname -o)
if [ "${OS_CHECK}" != "GNU/Linux" ]
then
echo "This script was made for the GNU/Li... |
65054db6cc73f8b6fcd4e0e846ad0d2c2b4f0905 | 824 | #!/usr/bin/env bash
#
# Sends stdin to a file and uses a .diff file extension, so vs code can choose
# the right formatter.
#
if [[ -p /dev/stdin ]]; then
uname_="$(uname)"
# Have to do custom stuff so that this works for both macOS' version of
# mktemp, and GNU mktemp.
if [ "$uname_" = "Linux" ]; ... |
305981901f1d79c9bc633721ea92b3e93ef44dfa | 1,736 | #!/bin/bash -e
# do NOT run this directly, run build-run.sh
linuxdir="$1"
if [ -z "$linuxdir" ] ; then
echo "ERROR undefined linuxdir." ; exit 1
fi
echo "Building linuxdir=$linuxdir"
echo "Creating sources info"
bash /home/kernelbuild/make-source-info
echo "Loading env"
. env.sh
export CONCURRENCY_LEVEL=8
export ... |
bdf877e17bb3e917e95a98f1628d6a0ec3c232b4 | 149 | #!/bin/bash
java -Xms4G -Xmx4G -Xloggc:$1 -verbose:gc -XX:+PrintGCDateStamps -jar target/tomcat-echo-message-1.0-SNAPSHOT-jar-with-dependencies.jar
|
5706adb4a439dff37d2c8e7c8756f2f4c81bfdb3 | 182 | # installs the packages to be used with atom
#
# to run do ./atom.sh
apm install atom-material-ui atom-material-syntax file-icons pigments minimap linter atom-beautify linter-jshint
|
a7702442693e874a0e68ed468e2593bb1f34c6f8 | 830 | # Maintainer:
pkgname=rs232monitor-git
pkgver=r12.cc8077f
pkgrel=1
pkgdesc=""
arch=('x86_64')
url="https://github.com/cdwijs/rs232monitor"
license=()
depends=('qt5-base' 'qt5-serialport')
makedepends=('git')
provides=('rs232monitor')
conflicts=('rs232monitor')
source=("${pkgname}::git+https://github.com/cdwijs/rs232m... |
b5cdf27722de864b4d0f8e7cf6fa4ba88044b15b | 22 | #!/bin/bash
chmod o+x
|
ea92a50f6fe3749333a6d3bd6d9caf428933c401 | 290 | #!/bin/sh
prefix=$(dirname $0)
. ${prefix}/includes
check_for_server_dir
pushd 2> /dev/null
if [ ! -d ${webIfDir}/node ] || [ ! -d ${webIfDir}/node_modules ]; then
cd ${serverDir}/graylog2-server
mvn generate-resources
fi
cd $webIfDir
PATH=$PATH:node npm start
popd 2> /dev/null
|
dc3549e2a23f7c3e05c5f75a53df12320bb912ff | 118 | #!/bin/bash
set -e
export QEMU_LD_PREFIX="external/aarch64_compiler/aarch64-none-linux-gnu/libc"
qemu-aarch64 "$1"
|
1e23550dee67e0823907f9c676dcc828de25fbe0 | 466 | APScheduler==3.5.0
astroid==2.0.4
certifi==2018.8.24
chardet==3.0.4
colorama==0.3.9
Django==2.0.6
get==1.0.3
idna==2.7
infi.clickhouse-orm==1.0.0
iso8601==0.1.12
isort==4.3.4
lazy-object-proxy==1.3.1
mccabe==0.6.1
mysqlclient==1.3.12
numpy==1.15.1
pandas==0.23.1
post==1.0.2
public==1.0.3
pylint==2.1.1
python-dateutil==... |
c2e518dda9e6fe1379b398ccdc9d118e7d14aa9f | 180 | #/bin/bash
../metis.native -hr -u ../input/kerberos_use_case.json -c krb5 -s normal -o ../results/kerberos_use_case_results.txt -ap ../results/kerberos_use_case_abstract_plan.dot
|
a515d23cb5e23def3c1ebc138bbeb8d16ecc6413 | 42 | #!/bin/bash
make clean
make
make run
|
911a66a9123130fd20fe3da1ffa62b0edaff4738 | 826 | APP_NAME=Laravel
APP_ENV=local
APP_KEY=base64:oul2NrwGq1sKbk/3/e0sTIJTGRqEMgcAxevJJi47GR0=
APP_DEBUG=true
APP_URL=http://localhost
LOG_CHANNEL=stack
DB_CONNECTION=pgsql
DB_HOST=ec2-107-21-99-237.compute-1.amazonaws.com
DB_PORT=5432
DB_DATABASE=devj8auijjs1lt
DB_USERNAME=lcrmvtxurxlfih
DB_PASSWORD=b3844a81f18ed1698ff8... |
9a8f18d6af01d6eec7acc425f09926bfe774f4e0 | 953 | #!/bin/sh
if [ -d /etc/X11/xinit/xinitrc.d ]; then
for f in /etc/X11/xinit/xinitrc.d/*; do
[ -x "$f" ] && . "$f"
done
unset f
fi
# -- start pulse audio
#/usr/bin/start-pulseaudio-x11 &
xmodmap ~/.Xmodmap
xbindkeys &
xcompmgr &
# -- slow down mouse
xset m 1/5
xrdb -load ~/.Xresources
exec xinput --set-prop... |
73a85be83e304564684b8e92d7715aa471fca462 | 125 | #!/bin/bash
cur_dir=`pwd`
sudo sslocal -c $cur_dir/client_config.json -d start
# export http_proxy="http://127.0.0.1:8123/"
|
ef4aca006b386a72169090221008c85c92edb698 | 1,722 | #!/bin/bash
psql_host=$1
port=$2
db_name=$3
user_name=$4
password=$5
# Step 0: Write some functions to get appropriate info
# All functions below will get appropriate field from vmstat and assign the value to a variable
get_timestamp () {
timestamp=$(vmstat -t | egrep -v 'timestamp|UTC' | awk '{print $18" "$19}' | ... |
98587e756a64c8c5fa9f5a25c4229dfbc507a4a7 | 967 | # Maintainer: Javier Tiá <javier dot tia at gmail dot com>
pkgname=sift
pkgver=0.9.0
pkgrel=1
pkgdesc="A fast and powerful open source alternative to grep"
arch=('i686' 'x86_64')
url="http://sift-tool.org/"
license=('GPL3')
makedepends=('go' 'git')
options=('!strip' '!emptydirs')
conflicts=('sift-bin')
replaces=('sift... |
c92ee008acf7cde7a359c0739c51da4d6b1bb9c4 | 743 | #!/usr/bin/env bash
main() {
action=$1
case "$action" in
'on')
enable_wifi
;;
'off')
disable_wifi
;;
'toggle')
toggle_wifi
;;
'status'|*)
get_status
esac
}
enable_wifi() {
rfkill unblo... |
c78ae28666b1768e7616ac4eee95d4a800806364 | 2,251 | #!/bin/bash -eux
UID_GID=$(stat -c %u:%g $0)
cd $(readlink -m $0/..)
WORKDIR=$(readlink -m build)
DESTDIR=$WORKDIR/destdir
DISTDIR=$(readlink -m ${PWD}/../../dist)
teardown () {
set +x
if [ "0" = "${CLEAN-1}" ] ; then
return
fi
rm -rf $WORKDIR
if hash temboard-agent ; then
echo ... |
4c836a799aa8c38feb6b8375514129857b8544d1 | 1,499 | #! /bin/sh
PANEL_FIFO=${TMPDIR}/bspwm-panel-fifo
PANEL_WIDTH=$(xrandr | grep \* | cut -d x -f1)
PANEL_HEIGHT=20
PANEL_FONT="-*-terminus-medium-*-*-*-14-*-*-*-*-*-iso8859-*"
PANEL_WM_NAME=bspwm_panel
if xdo id -a "$PANEL_WM_NAME" > /dev/null ; then
printf "%s\n" "The panel is already running." >&2
exit 1
fi
... |
9403d7856abb55934158617ec695c33877adb175 | 375 | #!/bin/bash -e
systems=$(vagrant status |grep virtualbox | awk '{print $1}')
echo -e "\nsystems to test:\n${systems}"
for i in $systems
do
echo -e "\n\n\n========= Running: vagrant up ${i}"
vagrant up $i
echo -e "\n\n\n========= Testing ssh to ${i}"
vagrant ssh $i -c "exit"
echo -e "\n\n\n========= Running:... |
19da5e2bfd8775f431dc90daa9ae37f41b904540 | 215 | #!/usr/bin/env bash
#
# A smarter command doing similar to this one may be the "mmv" command.
#
if [[ $# != 2 ]]; then
echo 'Two arguments expected'
exit 1
fi
mv -v "$1" "$(dirname $1)/$(basename $2)"
exit $?
|
3bdb554de06c76ccd6ff4756fb5bd3e06b4f4050 | 2,178 | #!/bin/bash
sudo apt-get update
# 2 primary routes to install ansible
# A. APT
# (not ppa:ansible/ansible which doesn't yet have focal builds)
# right now ubuntu ansible package for focal is 2.9
sudo apt-get install -qy ansible
# OR
# B. PIP (currently makes it possible to get ansible 2.10)
# First install pip ... |
1a9907bea60f4610f95a6f0335de153925871638 | 730 | # Contributor: Jacek Roszkowski <j.roszk@gmail.com>
pkgname=ruby1.8-passenger
pkgver=2.2.10
_realname="passenger"
pkgrel=1
pkgdesc="mod_rails passenger"
arch=(any)
url="http://www.modrails.com"
license=("GPL")
depends=('ruby1.8' 'ruby1.8-rake' 'ruby1.8-fastthread' 'boost')
source=(http://gems.rubyforge.org/gems/$_realn... |
6a9567dd71bba1d24e0894322f72b21810071913 | 512 | #!/bin/bash
set -x
# warming up yum in the background
# yum -y makecache &
export CLOUD_PLATFORM="AZURE_RM"
export START_LABEL=98
export PLATFORM_DISK_PREFIX=sd
export LAZY_FORMAT_DISK_LIMIT=12
export IS_GATEWAY=true
export TMP_SSH_KEY="ssh-rsa test"
export PUBLIC_SSH_KEY="ssh-rsa public"
export RELOCATE_DOCKER=true
... |
f3d06f69439ce9dfdd26e64217ac3ba682a6cc4f | 801 | if [ $# -lt 3 ]; then
echo \
"Usage: $0 model_data.txt ngram_order min_occurrences"
exit -1
fi
DATA=$1
NGRAM_ORDER=$2
NUM_OCCUR=$3
FSMLIB=../../tool_binaries/fsm-4.0/bin
GRMLIB=../../tool_binaries/grm-4.0/bin
SCRIPTS=./
echo Adding end symbols...
awk '{print $0, "</s>"}' $DATA > $DATA.endsymbol
#echo Storing dat... |
7b3227075d13dc44a390805102b562d86b2ec859 | 861 | # Maintainer: Maxime Gauduin <alucryd@archlinux.org>
# Contributor: Yaron de Leeuw <me@jarondl.net>
pkgname=python-pies
pkgver=2.6.7
pkgrel=1
pkgdesc='The simplest (and tastiest) way to write one program that runs on both Python 2.6+ and Python 3'
arch=('any')
url='https://github.com/timothycrosley/pies'
license=('MIT... |
b4192153f961a1cff161675d5ecef564eb9eb3e8 | 26 | #!/bin/sh
rados export $@
|
e874e241bb851747d08944c991311056ee880df9 | 73 | #!/usr/bin/env bash
python $(dirname $0)/../src/hardware.py --toggle=$1
|
94df205c39c4dd61f5c3ea43c6e8c7f41f45bccc | 1,144 | #!/usr/bin/env bash
sample="P4_S8"
java -jar script/trimmomatic-0.39.jar \
PE \
-threads 4 \
-phred33 \
-trimlog log.txt \
test_data/${sample}_L001_R1_001.fastq \
test_data/${sample}_L001_R2_001.fastq \
${sample}_L001_R1_001.trimmed.fastq \
/dev/null \
${sample}_L001_R2_001.trimmed.fastq \
/dev/n... |
9dd5e4415175dce27788a792d8a90a789ac3c254 | 96 | PORT=
DB_HOST=
DB_PORT=
DB_USER=
DB_PASS=
DB=
MQTT_HOST=
MQTT_PORT=
MQTT_USERNAME=
MQTT_PASS=
|
609c336bea2c4fe531713a7600bce8ba4da03339 | 107 | REACT_APP_AUTH0_DOMAIN=dev-mog04oe0.jp.auth0.com
REACT_APP_AUTH0_CLIENT_ID=sMlp24UoIoNavHLO9lidTHgOARFzgxgG |
20fac9f68c2163de8c9df88f1b6aaac8390c8807 | 368 | #!/bin/bash
set -e
brew install libtiff libjpeg openjpeg libimagequant webp little-cms2 freetype
PYTHONOPTIMIZE=0 pip install cffi
pip install coverage
pip install olefile
pip install -U pytest
pip install -U pytest-cov
pip install pyroma
pip install test-image-results
pip install numpy
# extra test images
pushd de... |
321737347825545e29fbf6924f75a65e0480db50 | 99 | #!/bin/bash
cd ~/catkin_ws/
source /opt/ros/melodic/setup.bash
source devel/setup.bash
roscore
|
87da071f5e0b4da53faea75bd4e068a849c39efb | 41 | alias brf="vim $HOME/.dotfiles/Brewfile"
|
4ae27abc7aa1511ec6b71b3a8010ed0ebb4c7f02 | 945 | #!/bin/bash
curl --noproxy localhost -XPUT https://localhost:9200/_template/yaf -u admin:admin -k -H 'Content-Type: application/json' -d '
{
"template" : "yaf.*",
"mappings" : {
"properties" : {
"src.geoip" : {
"dynamic" : true,
"properties" : {
"ip" : {
"type" : "ip"... |
c04089dc5a951f2d2a57311c68d35b6d1058ec79 | 920 | #!/bin/bash
#
# Samsul Ma'arif @ 2017 <samsul@puskomedia.id>
echo ""
echo "cek partisi & mount point"
df -h | grep /home
df -h | grep /var
echo ""
echo "Cek RAM & swap"
free -m
echo ""
echo "Cek SSH Server"
cat /etc/ssh/sshd_config | grep Port
cat /etc/ssh/sshd_config | grep Root
echo ""
echo "Cek user KaryawanX... |
3086754ce88d79db6adfc461483fab5ac32534c5 | 71 | #!/bin/bash
python -c 'import tensorflow as tf; print tf.__version__'
|
c96cdadf82a97197839345dc93f7db0a7ffe7d1e | 632 | python train_mask_gan.py --data_dir='/home/bsonawane/models/data/ptb/' --batch_size=20 --sequence_length=20 --base_directory='./train_2' --hparams="gen_rnn_size=650,dis_rnn_size=650,gen_num_layers=2,dis_num_layers=2,gen_learning_rate=0.00074876,dis_learning_rate=5e-4,baseline_decay=0.99,dis_train_iterations=1,gen... |
f220ceee63b7b73cf76a7f5d684a98d947580a3e | 85 | #!/bin/bash
#./main ifile.csv 3 12.98 .3 -.7
./main ifile2.csv 3 12.98 .57 -.73 -.50
|
e391b912b5d67efcd36422aa7e848a8cdf653e1e | 54 | #! /bin/bash
echo "$(ls -ltc -m -p)" | sed 's/, /,/g' |
5ccf3607b63436c669e5541f663fd6d02c26ac56 | 813 | #! /usr/bin/env bash
set -euo pipefail
# Cd into FF_HOME
cd "${BASH_SOURCE[0]%/*}/../"
# build flexflow
# "search and replace" bash syntax used below to make shellcheck happy.
# see here: https://wiki-dev.bash-hackers.org/syntax/pe
CXXFLAGS="${CXXFLAGS//-O2/}"
CXXFLAGS="${CXXFLAGS//-std=c++17/}"
CXXFLAGS="${CXXFLAGS/... |
325d14df4992752ac32c0118c289e7a6d3189f28 | 955 | #!/bin/sh
TITLE='Eight melodies'
DESCRIPTION=''
SOURCE='https://www.youtube.com/watch?v=gQejsvkNOoc http://pastebin.com/zuBGSD0h'
beep -f392.00 -l400 \
-n -f440.00 -l400 \
-n -f493.88 -l400 \
-n -f587.33 -l400 \
-n -f440.00 -l1600 \
-n -f783.99 -l400 \
-n -f739.99 -l400 \
-n -f659.26 -l400 \
-n -f523.25 -l400 \
-n -f58... |
d515837218b2bc9154955b58cd0b61cfababa15c | 13,297 | #
# install.sh
# FreeBSD ZFS custom installation script for use with bsdinstall.
#
# Usage
# First, create a config/script folder for this installation
# by executing prepare.sh script on a host such as your laptop.
#
# cd ~/work
# /somewhere/freebsd-install-on-zfs/prepare.sh myfolder
#
# Then, edit con... |
4a37a5a36e1873598a8caf990625228ea7151cc7 | 239 | #docker run -ti --rm -p 8888:8888 -p 4040:4040 -p 8080:8080 --volume=$(pwd):/home/jovyan/work jupyter/pyspark-notebook jupyter lab
docker run -ti --rm -p 10000:8888 --volume=$(pwd):/home/jovyan/work jupyter/pyspark-notebook jupyter lab
|
ab8f08d4c509c2cba69343ff655da3cd23bdc64d | 814 | #!/bin/sh
echo "Preprocessing starting"
python3 data_preprocessing.py
cp crimes_processed.csv kNN
cp crimes_processed.csv naive_bayes
cp crimes_processed.csv random_forest
echo "Preprocessing done"
echo "Preprocessing kNN starting"
python3 kNN/data_preprocessing_kNN.py
cp crimes_processed_kNN.csv kNN
echo "Preprocess... |
2f34c5cf68af7ed4834fd3e4394bd0b7e724a66c | 658 | #!/bin/sh
set -e
version="1.0.0"
name="Postman Echo v$version - openapi"
openapi_yaml="./openapi/postman-echo-oas-v$version.yaml"
collection_json="./openapi/postman-echo-postman-v$version.json"
openapi2postmanv2 -s $openapi_yaml -o $collection_json -p
collection_id=$(postmanctl get co -o json | jq -r '.[] | select(... |
56be715f9f93880b5e802bb8f3f8658074d7fe29 | 1,259 | set -e -u
iterate() {
local base="$1"
echo "src,n,max,upper,median,lower,min"
for adir in "${base}"/*; do
if [ -d ${adir} ]; then
local num=$(basename "${adir}")
num=${num##[a-z]}
for fn in "${adir}"/bench_*.csv; do
local id=${fn}
id=${id##*_}
id=${id%.*}
transform "${fn}" "${id}" "${num}... |
75a731d445a60094bd946fa593bef31932e6c97e | 678 | ERL=/usr/lib/erlang/bin/erl
HOSTNAME='localhost'
export HEART_COMMAND="$PWD/test.sh start"
case $1 in
start)
$ERL -smp -heart -detached -sname test -setcookie 3ren -pa $PWD/ebin -boot start_sasl -s test
echo "Starting ..."
;;
debug)
$ERL -smp -sname test -setcookie 3ren -pa $PWD/ebin ... |
c8a1d7a703dcdf4b3c898afa6e71f1b1f22cc0b2 | 244 | mnemonic=$1;
mkdir -p in
mkdir -p out
./readd.sh $mnemonic;
chmod 755 in/*sh
cd in
./${mnemonic}.sh > ../out/out-${mnemonic}.txt &
echo Submitted: ./${mnemonic}.sh
echo "> tail -f ../out/out-${mnemonic}.txt"
tail -f ../out/out-${mnemonic}.txt
|
2c2d59fdd8fa6621fed5a229dc406aeb2e38721e | 1,288 | # bin/sh
# Design By BachVQ
# Color Shell
RED='\033[0;31m'
GREEN='\033[0;32m'
LIGHTGREEN='\033[1;32m'
LIGHTCYAN='\033[1;36m'
NC='\033[0m' # No Color
PURPLE='\033[1;35m'
echo "${RED}-----------STEP 1: Remove all File Form Lang------------${NC}"
echo "${RED}REMOVING${NC}"
rm -rf lib/assets/lang/*
echo "${RED}DONE${NC}... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.